Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps.extensions
Class AbstractPSCommentElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
              org.apache.fop.render.ps.extensions.AbstractPSCommentElement

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  PSCommentAfterElement, PSCommentBeforeElement

public abstract class AbstractPSCommentElement
extends AbstractPSExtensionElement

Base postscript commment element class

Nested Class Summary

Nested classes inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary

Fields inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`attachment`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`AbstractPSCommentElement(FONode parent)` Default constructor

Method Summary
`protected void` | `startOfNode()` Called after processNode() is called.

Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, instantiateExtensionAttachment, validateChildNode`

Methods inherited from class org.apache.fop.fo.FONode
`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocalName, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodeString, getParent, getRoot, getUserAgent, inMarker, invalidChildError, invalidChildError, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, processNode, removeChild, setLocator, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPSCommentElement

    public AbstractPSCommentElement(FONode parent)

  Default constructor

Parameters:
  `parent` - parent of this node
See Also:
  `FONode.FONode(FONode)`

Method Detail

### startOfNode

    protected void startOfNode()
                        throws FOPException

  Description copied from class: `FONode`
  Called after processNode() is called. Subclasses can do additional processing.

  Overrides:
    `startOfNode` in class `FONode`
  Throws:
    `FOPException` - if there's a problem during processing
  See Also:
    `FONode.startOfNode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.